#!/bin/bash
#
# GPL, teodor at pld-linux.org
#

eval `dml<< EOF
<meta title="$(nls "Devices")"> 
<br>
<menu id=menu res=1> 
<item id=mysz> $(nls "Mouse (gpm)")
<item id=usb> $(nls "USB controller")
<item id=sound_auto> $(nls "Sound card (ALSA Auto)")
<item id=sound_manual> $(nls "Sound card (ALSAConf)")
<item id=printer> $(nls "Printer (CUPS)")
<item id=tv> $(nls "TV card (bttv)")
<item id=dml_cancel> $(nls "Back")
<item id=dml_exit> $(nls "Exit")
</menu>
EOF`

case $menu in 

	mysz) 
	exec ${DATA_DIR}/DEVICES/mouse.sh
	;;
	usb) 
	exec ${DATA_DIR}/DEVICES/usb.sh
	;;
	sound_auto)
	exec ${DATA_DIR}/DEVICES/ALSA/alsa_init.sh
	;;
	sound_manual)
	exec ${DATA_DIR}/DEVICES/sound.sh
	;;
	printer)
	exec ${DATA_DIR}/DEVICES/printer.sh
	;;
	tv)
	exec ${DATA_DIR}/DEVICES/TV/tv.sh
	;;
	dml_cancel)
	exec /usr/bin/pldconf
	;;
	dml_exit)
	exit
	;;
esac
